Rename adjoint to adjugate???

20 Jan 2015 17:02 - John Abbott

Status: Closed Start date: 20 Jan 2015

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 1.90 hour

Target version: CoCoA-5.1.2 summer 2015 Spent time: 1.60 hour

Description

I have just looked up adjoint in Wikipedia.  There it says that adjoint is increasingly being used to mean the transpose of the matrix

of complex conjugates; and that adjugate is a better name.

I learned adjoint at school (a long time ago), and I think that adjugate is a pretty ugly word.

History

#1 - 20 Jan 2015 17:06 - John Abbott

I had a quick search on internet, and found a discussion (in Google groups, I think) by the Sage developers on exactly this issue.

In summary adjoint does appear to be ambiguous at the moment: older texts use it as I learned it, more recent texts seem to use it to mean "complex

conjugate transpose" (even though that already has several other (long) names such as Hermitian conjugate).

#2 - 20 Jan 2015 17:08 - John Abbott

I suppose adjoint should become obsolescent.

Possible new names as ClassicalAdjoint or adjugate; I suppose the latter is shorter.

Eventually adjoint will disappear from CoCoA, unless we introduce complex numbers...

#3 - 13 Mar 2015 13:55 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 1.90 h

After speaking to Anna about it on Skype, we decided that it is simplest to call the function adj (in the same way that the rank function is called rk).

adjoint has been added to obsolescent.cpkg5

Updated tests, examples, documentation.

#4 - 11 May 2015 14:18 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#5 - 28 Jun 2015 21:00 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
